<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p style="font-size: 14px;">Вы не авторизованы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
			<p style="font-size: 14px;" class="m-b-0">Для авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
		  </div>';
} else {
	
	# Блок определения названия валюты системы
	if($config['Currency'] == 1) { 
		$currency_icon = '<i class="fa fa-rub" aria-hidden="true"></i>';
	} else
	if($config['Currency'] == 2) { 
		$currency_icon = '<i class="fa fa-usd" aria-hidden="true"></i>';
	} else
	if($config['Currency'] == 3) { 
		$currency_icon = '<i class="fa fa-eur" aria-hidden="true"></i>';
	} else
	if($config['Currency'] == 4) { 
		$currency_icon = '?';
	}
	
    ?>
	<div class="content_bar content_bar_fix_chain">
	  <article class="postBox">
		<div class="content_header_title">
		  <h2><a>Ввод средств в систему</a></h2>
		  <div class="textPreview" >
		    <p>Для пополнения рекламного счета, введите нужную сумму, и подтвердите действие, после чего система Вас перенаправит в корзину где вы сможете оплатить счет с помощью внешних платежных систем (ЭПС). Минимальная сумма пополнения составляет: <?=$config['minpay']?> <?=$config['valutaname']?></p>
		  </div>
		</div>
		<script type="text/javascript">
			function money(money, kol) {
				var k, m;
				if ( money.toString().indexOf('.') === -1 ) {
					return money;
				} else {
					k = money.toString().split('.');
					m = k[0] + '.' + k[1].toString().substr( 0, kol );
					return parseFloat( m );
				}
			}
			
			function advertising_webmoney() {
				$.post('ajax.php?func=advertisingwebmoney', {
					money: $('#amount_replenishment').val()
				}, function (data) {
					if (data == 1) {
						location.href = ('/basket');   
					} else {
						$('.error-add-pay').fadeIn(500).html(data);
						setTimeout(function() {
							$('.error-add-pay').fadeOut(500).html('&nbsp;');
						}, 4000);
					}
				});
				return false;
			}
			
			function advertising_main() {
              $.post('ajax.php?func=advertisingmain', {
                money: $('#amount_replenishment').val()
              }, function (data) {
                if (data == 1) {
					location.href = ('/advertising'); 
					$('body').Qnotify({text:'Операция обмена средств выполнена успешно.', sound:'error'});
                } else {
                    $('.error-add-pay').fadeIn(500).html(data);
					setTimeout(function() {
						$('.error-add-pay').fadeOut(500).html('&nbsp;');
					}, 4000);
                }
              });
              return false;
            }
		</script>
		<div class="payuser_panel" style="margin-bottom: 50px; margin-top: 50px;">
		  <div class="form-inline">
		    <div class="form-group form-group-adversing">
			  <div class="div_centralizator">
			  <div class="input-group" style="width: 200px">
			    <div class="input-group-addon"><?=$currency_icon?></div>
			    <input type="text" class="form-control" id="amount_replenishment" value="0" maxlength="10" >
			    <div class="input-group-addon">.00</div>
			  </div>
			  </div>
		    </div>
		    <button onclick="advertising_webmoney();return false;" type="submit" class="btn btn-primary " id="primary_fix_original">Пополнить через корзину</button>
		    <button onclick="advertising_main();return false;" type="submit" class="btn btn-primary " id="primary_fix_original">Пополнить с рабочего счета</button>
		  </div>
		</div>
		<div class="error-add-pay" style="display: none; margin: 0 auto; position: absolute;"></div>
		<br><br><br>
	  </article>
	</div>
    <?
}
?>